<?
  ### Версия ПО (ДМ) 1.0.0.0 ( (c)2018 MISOFT Продукт защищен регистрацией патента и авторских прав! www.misoft.studio )
  ######################################################################################################################

  if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
  } else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
  }
  
  if ( !isset( $_SESSION['iduser'] ) ) {
    echo '<div style="margin-left: -10px;" class="alert alert-info alert-dismissible fade in" role="alert">
		<button type="button" class="close" data-dismiss="alert" aria-label="Close">
			<span aria-hidden="true">&times;</span>
		</button>
		<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
		<p style="font-size: 14px;">Вы не авторизированы. Доступ к этой странице разрешен только авторизованным пользователям. <br>Пожалуйста, воспользуйтесь формой авторизации.</p>
		<p style="font-size: 14px;" class="m-b-0">Для перехода в форму авторизации нажмите <a class="a_link" href="/login" >login</a>.</p>
	  </div>';
  } else {
  
    include_once ROOT_DIR . '/modules/referrals/menu.php';
  	
  ?>
    <script type="text/javascript">
	  $(document).ready(function() {
        $('.pred-mail-ref-ava').tipTip({defaultPosition:'right'});
	  });
	  
	  function greeting() {
	    $.ajax({
		  type: 'POST',
		  url: 'ajax.php?func=greeting',
		  data: ({greeting: $('#text').val()}),
		  dataType: 'html',
		  success: function(data) {
		    if(data == 1) {
			  $('#success_bonus').fadeIn(500).html('<i class="fa fa-check" aria-hidden="true"></i> Приветствие успешно изменено!');
			  setTimeout(function() {
				$('#success_bonus').fadeOut(500).html('&nbsp;');
				Page.Go('/greeting');
			  }, 4000);
			} else {
			  $('#error_greeting').fadeIn(500).html('<i class="fa fa-info-circle" aria-hidden="true"></i> '+data);
			  setTimeout(function() {
				$('#error_greeting').fadeOut(500).html('&nbsp;');
			  }, 4000);
		    }
		  }
	    });
	    return false;
	  }
	  
	  function descchange(elem) {
		if (elem.value.length > 1000) {
		  elem.value = elem.value.substr(0,1000);
		}
		$('#allmsgref').html(1000-elem.value.length);
	  }
	  tm = setInterval(function() {
		if (location.pathname.indexOf('topic') !== -1) {
		  if ($('#text').val() != '') {
		    descchange(document.getElementById('allmsgref'));
		  }
		} else {
		  clearInterval(tm);
		}
	  }, 100);
    </script>
    <div class="content_bar">
	  <article class="postBox">
	    <div class="h2-title-header"><h2><a>Приветствие для рефералов</a></h2></div>
	    <div class="image_greeting_p"></div>
	    <div class="textPreview" style="">
		  <p class="earnings_text" style="color: #545454;">
		    Вы можете установить приветствие для всех своих новых рефералов, которые зарегистрируются по вашей реф-ссылке, после входа в аккаунт система автоматически отправил им письмо по внутренней почте с содержимым вашего приветствия. 
		  </p>
	    </div>
		
	    <div class="div_centralizator_offtext" >
		  <? if($config_user['greetingRef'] != '') { ?>
		    <div class="pred-mail-ref">
		      <?=$config_user['greetingRef']?>
		    </div>
		    <div class="pred-mail-ref-ava" title="Тестовый пример как увидит реферал ваше приветствие.">
		      <div class="pred-mail-ref-title">тест</div>
		    </div>
		  <? } ?>
		
	      <div class="form-group">
	        <div class="bbcode-panel-greeting ">
		      <span onclick="qbb('[b]','[/b]','text')" id="bb_b" title="Полужирный" class="bb-b-forum"><i class="fa fa-bold" aria-hidden="true"></i></span>
		      <span onclick="qbb('[i]','[/i]','text')" id="bb_i" title="Наклонный" class="bb-i-forum"><i class="fa fa-italic" aria-hidden="true"></i></span>
		      <span onclick="qbb('[u]','[/u]','text')" id="bb_u" title="Подчеркнутый" class="bb-u-forum"><i class="fa fa-underline" aria-hidden="true"></i></span>
		      <span onclick="qbb('[s]','[/s]','text')" id="bb_s" title="Зачеркнутый" class="bb-s-forum"><i class="fa fa-strikethrough" aria-hidden="true"></i></span>
		      <span onclick="qbb('[sub]','[/sub]','text')" id="bb_sub" title="Нижний индекс" class="bb-sub-forum"><i class="fa fa-subscript" aria-hidden="true"></i></span>
		      <span onclick="qbb('[sup]','[/sup]','text')" id="bb_sup" title="Верхний индекс" class="bb-sup-forum"><i class="fa fa-superscript" aria-hidden="true"></i></span>
		      <span onclick="qbb('[a]','[/a]','text')" class="bb_link" id="video" title="Вставить ссылку"><i class="fa fa-link" aria-hidden="true"></i></span>
		      <span onclick="forum.ShowSmilesText();" class="bb_quotet" id="" title=""><i class="fa fa-smile-o" aria-hidden="true"></i><div class="wrap_smiles" ></div></span>
		      <div id="allmsgref" class="allmsgref">1000</div>
	        </div>
	        <textarea class="form-control" style="width: 521px; height: 190px; margin-top: 8px; padding-top: 41px;" id="text" onkeyup="descchange(this);"><?=parce_html_code( $config_user['greetingRef'] )?></textarea>
	      </div>
	      <a href="" class="btn_box" onclick="greeting(); return false;">Сохранить</a>
	      <div class="wrapper-error">
		    <div class="alert alert-warning error-greeting" id="error_greeting" role="alert" ></div>
		    <div class="alert alert-success error-greeting" id="success_bonus" role="alert" ></div>
		  </div>
		</div>
	    <div class="banner_gorizontal rotator_standarte"><? include_once ROOT_DIR . "/modules/banner468x60/rotator.php";?></div>
	  </article>
    </div>

<? } ?>